Seite 1 von 1

[gelöst]Openshot "invalid Codec"

Verfasst: 2. Apr 2017, 16:40
von cbr
Hallo, ich habe nach einiger Zeit mal versucht Videos vom "mst" Format in das Matroska Format umzuwandeln. Funktionierte immer tadellos. Leider schlägt das aktuell bei mir mit "Invalid Codec" fehl. Ich benutze die aktuelle Tumbleweed Version, Openshot 2.20 libx264 ist installiert. Egal was ich anklicke mp4 etc. immer die gleiche Meldung.

Hat jemand eine Idee für mich ? Wäre schön und im Vorfeld vielen Dank und einen sonnigen Sonntag.

Gruß cbr

Re: Openshot "invalid Codec"

Verfasst: 2. Apr 2017, 22:19
von tomm.fa
Was ergibt denn

Code: Alles auswählen

zypper se -si gst
?

Re: Openshot "invalid Codec"

Verfasst: 6. Apr 2017, 22:02
von cbr
Hallo tomm.fa,
sorry für die späte Antwort..

Code: Alles auswählen

S | Name                             | Type        | Version      | Arch   | Repository            
--+----------------------------------+-------------+--------------+--------+-----------------------
i | GStreamer Multimedia Codecs      | application |              | noarch | (System Packages)     
i | PackageKit-gstreamer-plugin      | package     | 1.1.5-2.1    | x86_64 | Haupt-Repository (OSS)
i | gstreamer                        | package     | 1.10.4-1.1   | x86_64 | Haupt-Repository (OSS)
i | gstreamer-0_10                   | package     | 0.10.36-20.3 | x86_64 | (System Packages)     
i | gstreamer-0_10-fluendo-mp3       | package     | 21-1.5       | x86_64 | (System Packages)     
i | gstreamer-0_10-lang              | package     | 0.10.36-20.3 | noarch | (System Packages)     
i | gstreamer-0_10-plugins-base      | package     | 0.10.36-16.3 | x86_64 | (System Packages)     
i | gstreamer-0_10-plugins-base-lang | package     | 0.10.36-16.3 | noarch | (System Packages)     
i | gstreamer-libnice                | package     | 0.1.13-3.4   | x86_64 | Haupt-Repository (OSS)
i | gstreamer-plugins-bad            | package     | 1.10.4-4.4   | x86_64 | openSUSE_Tumbleweed   
i | gstreamer-plugins-base           | package     | 1.10.4-1.1   | x86_64 | Haupt-Repository (OSS)
i | gstreamer-plugins-farstream      | package     | 0.2.8-1.5    | x86_64 | Haupt-Repository (OSS)
i | gstreamer-plugins-good           | package     | 1.10.4-1.1   | x86_64 | Haupt-Repository (OSS)
i | gstreamer-plugins-qt             | package     | 1.2.0-7.1    | x86_64 | Haupt-Repository (OSS)
i | libgstadaptivedemux-1_0-0        | package     | 1.10.4-4.4   | x86_64 | openSUSE_Tumbleweed   
i | libgstallocators-1_0-0           | package     | 1.10.4-1.1   | x86_64 | Haupt-Repository (OSS)
i | libgstapp-0_10-0                 | package     | 0.10.36-16.3 | x86_64 | (System Packages)     
i | libgstapp-1_0-0                  | package     | 1.10.4-1.1   | x86_64 | Haupt-Repository (OSS)
i | libgstaudio-1_0-0                | package     | 1.10.4-1.1   | x86_64 | Haupt-Repository (OSS)
i | libgstbadaudio-1_0-0             | package     | 1.10.4-4.4   | x86_64 | openSUSE_Tumbleweed   
i | libgstbadbase-1_0-0              | package     | 1.10.4-4.4   | x86_64 | openSUSE_Tumbleweed   
i | libgstbadvideo-1_0-0             | package     | 1.10.4-4.4   | x86_64 | openSUSE_Tumbleweed   
i | libgstbasecamerabinsrc-1_0-0     | package     | 1.10.4-4.4   | x86_64 | openSUSE_Tumbleweed   
i | libgstcodecparsers-1_0-0         | package     | 1.10.4-4.4   | x86_64 | openSUSE_Tumbleweed   
i | libgstfft-1_0-0                  | package     | 1.10.4-1.1   | x86_64 | Haupt-Repository (OSS)
i | libgstgl-1_0-0                   | package     | 1.10.4-4.4   | x86_64 | openSUSE_Tumbleweed   
i | libgstinterfaces-0_10-0          | package     | 0.10.36-16.3 | x86_64 | (System Packages)     
i | libgstmpegts-1_0-0               | package     | 1.10.4-4.4   | x86_64 | openSUSE_Tumbleweed   
i | libgstpbutils-1_0-0              | package     | 1.10.4-1.1   | x86_64 | Haupt-Repository (OSS)
i | libgstphotography-1_0-0          | package     | 1.10.4-4.4   | x86_64 | openSUSE_Tumbleweed   
i | libgstreamer-0_10-0              | package     | 0.10.36-20.3 | x86_64 | (System Packages)     
i | libgstreamer-1_0-0               | package     | 1.10.4-1.1   | x86_64 | Haupt-Repository (OSS)
i | libgstriff-1_0-0                 | package     | 1.10.4-1.1   | x86_64 | Haupt-Repository (OSS)
i | libgstrtp-1_0-0                  | package     | 1.10.4-1.1   | x86_64 | Haupt-Repository (OSS)
i | libgstrtsp-1_0-0                 | package     | 1.10.4-1.1   | x86_64 | Haupt-Repository (OSS)
i | libgstsdp-1_0-0                  | package     | 1.10.4-1.1   | x86_64 | Haupt-Repository (OSS)
i | libgsttag-1_0-0                  | package     | 1.10.4-1.1   | x86_64 | Haupt-Repository (OSS)
i | libgsturidownloader-1_0-0        | package     | 1.10.4-4.4   | x86_64 | openSUSE_Tumbleweed   
i | libgstvideo-1_0-0                | package     | 1.10.4-1.1   | x86_64 | Haupt-Repository (OSS)
i | libgstwayland-1_0-0              | package     | 1.10.4-4.4   | x86_64 | openSUSE_Tumbleweed   
i | phonon-backend-gstreamer         | package     | 4.9.0-1.7    | x86_64 | Haupt-Repository (OSS)
i | phonon4qt5-backend-gstreamer     | package     | 4.9.0-1.5    | x86_64 | Haupt-Repository (OSS)
i | vlc-codec-gstreamer              | package     | 2.2.4-238.15 | x86_64 | videolan  

Re: Openshot "invalid Codec"

Verfasst: 6. Apr 2017, 22:19
von Sauerland

Code: Alles auswählen

i | vlc-codec-gstreamer              | package     | 2.2.4-238.15 | x86_64 | videolan 
Poste:

Code: Alles auswählen

zypper lr -d

Re: Openshot "invalid Codec"

Verfasst: 7. Apr 2017, 09:13
von tomm.fa
cbr hat geschrieben:
6. Apr 2017, 22:02
Hallo tomm.fa,
sorry für die späte Antwort..
Alles gut, hier wird niemand gehetzt und wir haben alle Zeit genug um dieses Problem in Ruhe anzugehen.

Re: Openshot "invalid Codec"

Verfasst: 7. Apr 2017, 21:18
von cbr
Hallo und Danke fürs Verständnis,
bis jetzt bin ich nicht auf das pacman Repo angewiesen gewesen, aber ich denke ich werds
jetzt brauchen, oder ?

Code: Alles auswählen

 1 | Cups-Printing                    | Cups-Printing                   | Yes     | (r ) Yes  | Yes     |   95     | rpm-md | http://download.opensuse.org/repositories/Printing/openSUSE_Tumbleweed/     |        
 2 | Google-Chrome                    | Google-Chrome                   | Yes     | (r ) Yes  | Yes     |   94     | rpm-md | http://dl.google.com/linux/chrome/rpm/stable/x86_64                         |        
 3 | adobe-flash-plugin               | adobe-flash-plugin              | Yes     | ( p) Yes  | Yes     |   94     | rpm-md | http://linuxdownload.adobe.com/linux/x86_64/                                |        
 4 | download.opensuse.org-non-oss    | Haupt-Repository (NON-OSS)      | Yes     | (r ) Yes  | Yes     |   99     | yast2  | http://download.opensuse.org/tumbleweed/repo/non-oss/                       |        
 5 | download.opensuse.org-oss        | Haupt-Repository (OSS)          | Yes     | (r ) Yes  | Yes     |   99     | yast2  | http://download.opensuse.org/tumbleweed/repo/oss/                           |        
 6 | download.opensuse.org-tumbleweed | Hauptaktualisierungs-Repository | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/update/tumbleweed/                             |        
 7 | openSUSE-20160924-0              | openSUSE-20160924-0             | No      | ----      | ----    |   99     | yast2  | cd:///?devices=/dev/disk/by-id/ata-PLDS_DVD-RW_DS8A8SH_S45N7602Z1ZM1R00A8F2 |        
 8 | openSUSE_Tumbleweed              | openSUSE_Tumbleweed             | Yes     | (r ) Yes  | Yes     |   98     | rpm-md | http://ftp.uni-erlangen.de/packman/suse/openSUSE_Tumbleweed/                |        
 9 | repo-debug                       | openSUSE-Tumbleweed-Debug       | No      | ----      | ----    |   99     | NONE   | http://download.opensuse.org/debug/tumbleweed/repo/oss/                     |        
10 | repo-source                      | openSUSE-Tumbleweed-Source      | No      | ----      | ----    |   99     | NONE   | http://download.opensuse.org/source/tumbleweed/repo/oss/                    |        
11 | videolan                         | videolan                        | Yes     | (r ) Yes  | Yes     |   97     | rpm-md | http://download.videolan.org/pub/videolan/vlc/SuSE/Tumbleweed/              |        

Re: Openshot "invalid Codec"

Verfasst: 7. Apr 2017, 21:28
von Sauerland
Statt dem VLC Repo würde ich das Packamn Repo einbinden und ein zypper dup --from darauf machen.

Grund:
VLC ist auch im Packman Repo, aber im Packman Repo gibt es viel viel mehr Programme als im VLC Repo.

Edit:
Ist schon drin:

Code: Alles auswählen

 8 | openSUSE_Tumbleweed              | openSUSE_Tumbleweed             | Yes     | (r ) Yes  | Yes     |   98     | rpm-md | http://ftp.uni-erlangen.de/packman/suse/openSUSE_Tumbleweed/                |    
Als root:

Code: Alles auswählen

zypper mr -p 20 openSUSE_Tumbleweed

Code: Alles auswählen

zypper dup --from openSUSE_Tumbleweed
Videolan Repo löschen:

Code: Alles auswählen

zypper rr videolan

Re: [gelöst]Openshot "invalid Codec"

Verfasst: 8. Apr 2017, 10:59
von cbr
Hallo Sauerland, hallo tomm.fa,
manchmal kann es so einfach sein, es rennt wie verrückt. An dieser Stelle nochmal vielen
Dank und Grüße aus Nb. nach ... wo immer ihr auch zu Haus seit.

Danke & viele Grüße